BEGIN ~RBALDU~

APPEND ~RBALDU~

IF ~GlobalGT("Chapter","GLOBAL",6)
  RandomNum(8,1)
~ THEN BEGIN 0
  SAY ~ I keep on hearing a lot about a military build up.  Angelo, the new commander of the Fist, has been sending a lot of the Fist down south to Beregost.  I fear a war might be brewing.~
  IF ~~ THEN JOURNAL ~Angelo, the new commander of the Fist, has been sending a lot of the Fist down south to Beregost.  People fear a war might be brewing.~ EXIT
END

IF ~GlobalGT("Chapter","GLOBAL",6)
  RandomNum(8,2)
~ THEN BEGIN 1
  SAY ~In the coming election, I think that that Sarevok lad is gonna take it.  He has a lot of support from the nobility, and they're the ones with the clout.~
  IF ~OR(2) !InParty("Skie") Dead("Skie")~ THEN JOURNAL ~Sarevok is very popular with the nobility, and that may win him the ducal seat in Baldur's Gate.~ EXIT
IF ~InParty("skie") !Dead("skie") !StateCheck("skie",STATE_SLEEPING)~ EXTERN ~SKIEJ~ SkieRBalduChain4
END

IF ~GlobalGT("Chapter","GLOBAL",6)
  RandomNum(8,3)
~ THEN BEGIN 2 
  SAY ~Did you hear about the assassinations at Candlekeep?  Seems that the leaders of the Iron Throne went and got themselves killed.  Those same fellows who helped the folks down in Nashkel did the deed.  They were Amnish agents I hear.  Anyhow, one of the dead guys son is now the leader, Sarevok is his name I think.~
  IF ~~ THEN JOURNAL ~Sarevok has assumed command of the Iron Throne.  I am still accused of the former leaders' murders, though it is thought I was an agent of Amn.  Someone is intent upon pushing the region into war.~ EXIT
END

IF ~GlobalGT("Chapter","GLOBAL",6)
RandomNum(8,4)
~ THEN BEGIN 3 
SAY ~Everyone seems to be dropping dead these days. First Entar Silvershield, then Eltan gets sick, and now Scar's dead. Something's brewing, and it's nothin' good.~
IF ~!Inparty("xan")~ THEN JOURNAL ~It is possible that the events involving Entar Silvershield, Eltan and Scar are linked somehow. At least, that's the rumor about town.~ EXIT
IF ~Inparty("xan")~ THEN EXTERN ~XANJ~ XanRBaldurChain1
END

IF ~GlobalGT("Chapter","GLOBAL",6)
  RandomNum(8,5)
~ THEN BEGIN 4 
  SAY ~I still can't believe that Entar Silvershield was killed.  From what's been being said, all the evidence points to the Shadow Thieves, and thus to Amn itself.  Tymora help us all.~
  IF ~OR(2) !InParty("Skie") Dead("Skie")~ THEN JOURNAL ~It is believed that Shadow Thieves from Amn killed Entar Silvershield. People fear this is the prelude to an invasion.~ EXIT
IF~InParty("skie") !Dead("skie") !StateCheck("skie",STATE_SLEEPING)~ THEN EXTERN ~SKIEJ~ SkieRBaldurChain1
END

IF ~GlobalGT("Chapter","GLOBAL",6)
  RandomNum(8,6)
~ THEN BEGIN 5 
  SAY ~It's really sad about Eltan.  I hope he recovers from his illness; he was the most beloved of the Grand Dukes.~
  IF ~OR(2) !InParty("Skie") Dead("Skie")~ THEN JOURNAL ~Duke Eltan is the most beloved and respected of the Grand Dukes of Baldur's Gate. His death would leave an immense hole in the leadership of the region.~ EXIT
IF ~InParty("skie") !Dead("skie") !StateCheck("skie",STATE_SLEEPING)~ THEN EXTERN ~SkieJ~ SkieRBaldurChain2
END

IF ~GlobalGT("Chapter","GLOBAL",6)
  RandomNum(8,7)
~ THEN BEGIN 6 
  SAY ~There's a big price on the heads of those fellas who offed the Iron Throne's leaders.  5000 gold or more I think.~
  IF ~~ THEN JOURNAL ~There is a bounty of 5000 gold on my head for the murders I am accused of. I should be wary of Bounty Hunters.~ EXIT
END

IF ~GlobalGT("Chapter","GLOBAL",6)
  RandomNum(8,8)
~ THEN BEGIN 7 
  SAY ~With Entar Silvershield dead, they're going to have to elect a new Grand Duke.  Seems like a lot of people think it'll be the new leader of the Iron Throne, Sarevok.~
  IF ~OR(2) !InParty("Skie") Dead("Skie")~ THEN JOURNAL ~With the leaders of the Iron Throne out of the way, Sarevok was free to assume the leadership. Now he is trying to fill the gap in Baldur's Gate left by Entar Silvershield's death. Coincidental deaths seem to follow his rise to power.~ EXIT
  IF ~InParty("skie") !Dead("skie") !StateCheck("skie",STATE_SLEEPING)~ THEN EXTERN ~SKIEJ~ SkieRBaldurChain3
END


IF ~GlobalLT("Chapter","GLOBAL",6)
  RandomNum(10,1)
~ THEN BEGIN 8 
  SAY ~With iron being so scarce, I don't see how the Flaming Fist is gonna continue to be an effective police force.  No new weapons and no new armor, not a good thing.~
  IF ~~ THEN JOURNAL ~The Flaming Fist is in danger of losing its ability to protect the region. The condition of its weapons and armor is suffering, just as it is for everyone else.~ EXIT
END

IF ~GlobalLT("Chapter","GLOBAL",6)
  RandomNum(10,2)
~ THEN BEGIN 9 
  SAY ~Ever since the Iron Throne moved into that mansion in the southwest, strange things have been afoot.  I don't know what it is about that building, but it gives me the creeps. ~
  IF ~~ THEN JOURNAL ~There is something strange about the new home of the Iron Throne in the southwest fo Baldur's Gate~ EXIT
END

IF ~GlobalLT("Chapter","GLOBAL",6)
  RandomNum(10,3)
~ THEN BEGIN 10 
  SAY ~Hear about the heroes of Nashkel?  Some good folk -mercenaries it's said- came down and solved all that town's problems.~
  IF ~~ THEN JOURNAL ~Tales of my actions are spreading, though I'm not sure I like the term "mercenaries."~ EXIT
END

IF ~GlobalLT("Chapter","GLOBAL",6)
  RandomNum(10,4)
~ THEN BEGIN 11 
  SAY ~I hear some units of the Flaming Fist have been sent to Beregost.  Seems like the Grand Dukes are getting real paranoid about Amn.~
  IF ~~ THEN JOURNAL ~Tensions are growing in the region due to the supposed threat from Amn, though the evidence I've seen is somewhat confused on the subject.~ EXIT
END

IF ~GlobalLT("Chapter","GLOBAL",6)
  RandomNum(10,5)
~ THEN BEGIN 12 
  SAY ~I hear that Amn's behind all those bandits in the south.  People round here have been talking about how Amn and the Zhents are in league together.  It makes me worry about what kinda things they could be scheming.~
  IF ~~ THEN JOURNAL ~Rumors are spreading that Amn and the Zhentarim are in league together. There is only sketchy evidence to support this, however.~ EXIT
END

IF ~GlobalLT("Chapter","GLOBAL",6)
  RandomNum(10,6)
~ THEN BEGIN 13 
  SAY ~I hear there's rumors of  Shadow Thieves here in Baldur's Gate.  I dunno if it's true, but if it is, I betcha they're here to scout out for an Amnish invasion.~
  IF ~OR(2) !InParty("Skie") Dead("Skie")~ THEN JOURNAL ~People fear that the Shadow Thieves are scouting for an Amnish invasion, but these rumors are more numerous than any evidence supporting them.~ EXIT
  IF ~InParty("skie") !Dead("skie") !StateCheck("skie",STATE_SLEEPING)~ THEN EXTERN ~SKIEJ~ SkieRBalduChain5
END

IF ~GlobalLT("Chapter","GLOBAL",6)
  RandomNum(10,7)
~ THEN BEGIN 14 
  SAY ~I heard that the Merchant's League is having a lot of trouble.  Seems that the three owners are squabbling about how to run the place.  The Iron Throne's been taking advantage of that situation.  If things continue as they are, the Throne soon won't have any competition.  Kinda strange considering they only moved into the city a couple of years back.~
  IF ~~ THEN JOURNAL ~The Iron Throne is quite powerful in Baldur's Gate, even though they only arrived there recently. Something may be disrupting the Merchant's League and reducing its ability to compete.~ EXIT
END

IF ~GlobalLT("Chapter","GLOBAL",6)
  RandomNum(10,8)
~ THEN BEGIN 16 
  SAY ~It's been really weird these past few months.  Iron's been going bad, falling apart almost if it were rustin' for no particular reason.  From what I hear, most 'o this 'bad iron' comes from the mines at Nashkel.  Can't trust those Amnish miners; probably some scheme they've come up with. ~
  IF ~~ THEN JOURNAL ~Iron from the Nashkel mines is nearly useless when smelted. People suspect that they are doing it intentionally, as part of some grandiose plot for Amn.~ EXIT
END

IF ~GlobalLT("Chapter","GLOBAL",6)
  RandomNum(10,9)
~ THEN BEGIN 17 
  SAY ~Seems like the iron problem down in Nashkel's solved.  A group of mercenaries went into the mines and cleared up what's been causin' all the trouble.  Brave folk to go fightin' whatever was down there.~
  IF ~~ THEN JOURNAL ~Tales of my actions are spreading, though I'm not sure I like the term "mercenaries."~ EXIT
END

IF ~GlobalLT("Chapter","GLOBAL",6) RandomNum(10,10)~ THEN BEGIN 18
SAY ~The Seven Suns has been acting very strange as of late.  The company seems to be intent on losing money.  Even a simple bartender like myself can see the foolishness of some of their decisions.  I doubt the Iron throne is crying about it though, they're making a lot of inroads because of the Suns mistakes.~
IF ~~ THEN EXIT
END

IF ~GlobalGT("Chapter","GLOBAL",8)
~ THEN BEGIN 15
  SAY ~Iron's so scarce these days, you'd think it was as valuable as gold.  Not a good thing, not a good thing at all.~
  IF ~~ THEN JOURNAL ~Iron continues to be scarce, driving prices of tools and weapons ever higher.~ EXIT
END

END

CHAIN  ~SKIEJ~ SkieRBalduChain5
~My Father seemed to think the Shadow Thieves wouldn't be doing the Council of Six's dirty work for them, but I don't know.~
END
IF ~~ THEN JOURNAL ~People fear that the Shadow Thieves are scouting for an Amnish invasion, but these rumors are more numerous than any evidence supporting them.~ EXIT

CHAIN  ~SKIEJ~ SkieRBaldurChain3
~Sarevok? No, that can't be... Sarevok is the villan here... he... he's evil, he's a murder! This... this is all wrong!~
END
IF ~~ THEN JOURNAL ~With the leaders of the Iron Throne out of the way, Sarevok was free to assume the leadership. Now he is trying to fill the gap in Baldur's Gate left by Entar Silvershield's death. Coincidental deaths seem to follow his rise to power.~ EXIT


CHAIN  ~SKIEJ~ SkieRBalduChain4
~Well he certainly doesn't have *my* support.~
END
IF ~~ JOURNAL ~Sarevok is very popular with the nobility, and that may win him the ducal seat in Baldur's Gate.~ EXIT


CHAIN  ~SKIEJ~ SkieRBaldurChain2
~ That's true. Duke Eltan was a man for the people, my father... well he was a... politician.~
END
IF ~~ THEN JOURNAL ~Duke Eltan is the most beloved and respected of the Grand Dukes of Baldur's Gate. His death would leave an immense hole in the leadership of the region.~ EXIT


CHAIN  ~XANJ~ XanRBaldurChain1
~Things have a way of working out for the worst in this cradle of suffering.~
== ~RBALDU~ ~Aye, good sir, ye sure have a point. The Gate is not as it has been in Balduran’s time... I should’ve moved to Waterdeep.. Yes, sir, I should’ve.~
== ~XANJ~ ~I did not mean Baldur’s Gate, you poor soul. I meant Toril.~
END
IF ~~ THEN JOURNAL ~It is possible that the events involving Entar Silvershield, Eltan and Scar are linked somehow. At least, that's the rumor about town.~ EXIT

CHAIN ~SKIEJ~ SkieRBaldurChain1
~ No... no... you must listen to us, the Shadow Thieves are innocent! My father was murdered by Sarevok, who is plotting to kill the remaining Grand Dukes! You must warn the other people before it is too late!~
== ~RBALDU~ ~Your father? Sarevok? Uh uh, I think you need to lay off the spice kid...~
END
IF ~~ THEN JOURNAL ~It is believed that Shadow Thieves from Amn killed Entar Silvershield. People fear this is the prelude to an invasion.~ EXIT

